﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Data;
using Infragistics.Windows.Controls;
using Infragistics.Windows.DataPresenter;

namespace DummyGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            xamDataGrid1.FieldLayoutSettings.SelectionTypeRecord = SelectionType.Extended;
            xamDataGrid2.FieldLayoutSettings.SelectionTypeRecord = SelectionType.Extended;
        }




        private void xamDataGrid1_GotFocus(object sender, RoutedEventArgs e)
        {

        }

        private void xamDataGrid1_KeyDown(object sender, KeyEventArgs e)
        {
           
        }

        
        protected override void OnKeyDown(KeyEventArgs e)
        {
           
        }

        private void button1_GotFocus(object sender, RoutedEventArgs e)
        {
            (sender as Button).Background = Brushes.Red;
        }

        private void button1_Click_1(object sender, RoutedEventArgs e)
        {
            if (st1.Visibility == System.Windows.Visibility.Visible)
            {
                st1.Visibility = System.Windows.Visibility.Collapsed;
            }
            else
            {
                xamDataGrid2.SelectedItems.Records.Clear();

                xamDataGrid2.ActiveRecord = null;

                foreach (Record r in xamDataGrid1.SelectedItems.Records)
                {
                    xamDataGrid2.Records[r.Index].IsSelected = true;

                }
                xamDataGrid2.ActiveRecord = xamDataGrid2.Records[xamDataGrid1.ActiveRecord.Index];

                st1.Visibility = System.Windows.Visibility.Visible;
            }


            if (st2.Visibility == System.Windows.Visibility.Visible)
            {
                st2.Visibility = System.Windows.Visibility.Collapsed;
            }
            else
            {
                xamDataGrid1.SelectedItems.Records.Clear();
                xamDataGrid1.ActiveRecord = null;

                foreach (Record r in xamDataGrid2.SelectedItems.Records)
                {
                    xamDataGrid1.Records[r.Index].IsSelected = true;

                }

                xamDataGrid1.ActiveRecord = xamDataGrid1.Records[xamDataGrid2.ActiveRecord.Index];
                st2.Visibility = System.Windows.Visibility.Visible;
            }
        }

    }


}
